cancel
Showing results for 
Search instead for 
Did you mean: 
Reply
epichs
Regular Visitor

Posting an adaptive card to Teams with PVA::"code":"ApiVersionInvalid

It was working fine. Then it stopped working all of a sudden. Currently using Version 1.3 Bot Framework Adaptive Card72fb90b3f23c7d66295c23b41a0e7094.png

 
 

 

{
    "type": "AdaptiveCard",
    "$schema": "http://adaptivecards.io/schemas/adaptive-card.json",
    "version": "1.3",
    "body": [
        {
            "type": "TextBlock",
            "text": "Ticket Form",
            "wrap": true,
            "horizontalAlignment": "Center",
            "fontType": "Default",
            "size": "ExtraLarge",
            "weight": "Bolder",
            "color": "Accent",
            "id": "Ticket"
        },
        {
            "type": "Input.Date",
            "id": "date",
            "isRequired": true,
            "errorMessage": "Please select a Date",
            "label": "Date"
        },
        {
            "type": "Input.Text",
            "placeholder": "Title of Ticket",
            "id": "title",
            "isRequired": true,
            "errorMessage": "Title of Ticket",
            "label": "Title"
        },
        {
            "type": "Input.ChoiceSet",
            "choices": [
                {
                    "title": "HQ",
                    "value": "HQ"
                },
                {
                    "title": "7Mile",
                    "value": "7Mile"
                },
                {
                    "title": "Ferndale",
                    "value": "Ferndale"
                },
                {
                    "title": "Southfield",
                    "value": "Southfield"
                },
                {
                    "title": "Davison",
                    "value": "Davison"
                },
                {
                    "title": "Livernois",
                    "value": "Livernois"
                },
                {
                    "title": "NuWell Global",
                    "value": "NuWell Global"
                },
                {
                    "title": "Flatworld",
                    "value": "Flatworld"
                }
            ],
            "placeholder": "Location",
            "id": "location",
            "isRequired": true,
            "errorMessage": "Select a Location",
            "label": "Location"
        },
        {
            "type": "Input.ChoiceSet",
            "choices": [
                {
                    "title": "Low",
                    "value": "Low"
                },
                {
                    "title": "Normal",
                    "value": "Normal"
                },
                {
                    "title": "High",
                    "value": "High"
                },
                {
                    "title": "Emergency - Medical Equipment",
                    "value": "Emergency"
                }
            ],
            "placeholder": "Priority Level",
            "id": "priority",
            "isRequired": true,
            "errorMessage": "What is the Priority",
            "label": "Priority Level"
        },
        {
            "type": "Input.Text",
            "placeholder": "Description of the Issue at hand",
            "id": "description",
            "isMultiline": true,
            "isRequired": true,
            "errorMessage": "Description of the problem",
            "label": "Description"
        },
        {
            "type": "ActionSet",
            "actions": [
                {
                    "type": "Action.Submit",
                    "title": "Submit Ticket",
                    "style": "positive"
                }
            ],
            "id": "submit"
        }
    ],
    "verticalContentAlignment": "Top"
}

 

 

4 REPLIES 4
Expiscornovus
Super User
Super User

Hi @epichs,

 

It looks like there is an issue with that specific action at the moment. I have seen a similar thread on the Power Automat forums.

 

I can also reproduce the ApiVersionInvalid error by using the Candidate Feedback sample json in a Post an adaptive card and wait for the response action in a simple flow in my dev environment.

 

I would suggest to contact Microsoft support for this:

https://powerautomate.microsoft.com/en-us/support/

 

reproduce_apiversioninvalid.png



Happy to help out! 🙂

Interested in more #PowerAutomate #SharePointOnline or #PowerVirtualAgents content?
Visit my blog, Subscribe to my YouTube channel or Follow me on Twitter


epichs
Regular Visitor

I'm having issues trying to post a ticket. It's saying My user account doesn't exist and cannot access the application.

epichs_0-1664295984052.png

 

brunoo9012
New Member

@epichs  @Expiscornovus 

I am with similar problem. Actually I can run the flow through the Power Automate and open the forms with a new channel, but when I set up to flow to send the forms through the BOT channel appears the error below.

Any suggestion?

 

brunoo9012_0-1664762957315.jpeg

 

 

fernandosilva
Helper V
Helper V

I guess if you just change manually to version 1.2 it will work fine.

 

Microsoft has a weird way to update one thing and not the other and all get messed up without warning to the users.

Helpful resources

Announcements
Power Virtual Agents News & Announcements

Power Virtual Agents News & Announcements

Keep up to date with current events and community announcements in the Power Virtual Agents community.

Community Calls Conversations

Community Calls Conversations

A great place where you can stay up to date with community calls and interact with the speakers.

Power Virtual Agents Community Blog

Power Virtual Agents Community Blog

Check out the latest Community Blog from the community!

Top Solution Authors
Users online (4,396)